package de.intevation.flys.artifacts;

import de.intevation.artifacts.CallContext;

import de.intevation.flys.artifacts.geom.Lines;
import de.intevation.flys.model.FastCrossSectionLine;


/**
 * Interface, Artifact can create WaterLines (Water against Cross-Profile).
 */
public interface WaterLineArtifact {

    /** Get points that define a line of a (water)facet against a cross-
     * section. */
    public Lines.LineData getWaterLines(
        int                  facetIdx,
        FastCrossSectionLine      csl,
        double                      d,
        double                      w,
        CallContext           context);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
